Commit 567b5dec authored by Andreas Gärtner's avatar Andreas Gärtner

Gradle build script is now compatible with gradle 1.2+ (even 2+).

parent c90e7d93
apply plugin: 'jaxb'
apply plugin: 'eclipse-wtp'
apply plugin: 'com.github.jacobono.jaxb'
jar {
manifest {
......@@ -7,19 +7,23 @@ jar {
}
}
dependencies { jaxb 'com.sun.xml.bind:jaxb-xjc:2.2.7' }
buildscript {
repositories {
jcenter()
mavenCentral()
mavenLocal()
}
dependencies { classpath 'no.entitas.gradle.jaxb:gradle-jaxb-plugin:2.0' }
dependencies { classpath 'org.gradle.jacobo.plugins:gradle-jaxb-plugin:1.3.4' }
}
sourceSets {
main {
jaxb { srcDir 'src/main/resources/' }
}
dependencies {
jaxb 'com.sun.xml.bind:jaxb-xjc:2.2.7-b41'
jaxb 'com.sun.xml.bind:jaxb-impl:2.2.7-b41'
jaxb 'javax.xml.bind:jaxb-api:2.2.7'
}
jaxb {
xsdDir = "${project.name}/src/main/resources"
}
build.finalizedBy(xjc)
\ No newline at end of file
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment